From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Sun, 21 Jul 2024 11:24:58 +0900
Subject: Make provider functions static (PHPUnit 11 Fix)

Bug-Debian: https://bugs.debian.org/1070552
---
 tests/HeaderTest.php        |  4 ++--
 tests/QueryTest.php         |  2 +-
 tests/RequestTest.php       |  8 ++++----
 tests/ResponseTest.php      | 10 +++++-----
 tests/ServerRequestTest.php |  4 ++--
 tests/StreamTest.php        |  6 +++---
 tests/UploadedFileTest.php  |  6 +++---
 tests/UriComparatorTest.php |  2 +-
 tests/UriNormalizerTest.php |  6 +++---
 tests/UriResolverTest.php   |  4 ++--
 tests/UriTest.php           |  8 ++++----
 tests/UtilsTest.php         |  2 +-
 12 files changed, 31 insertions(+), 31 deletions(-)

diff --git a/tests/HeaderTest.php b/tests/HeaderTest.php
index d4cfa63..8e4440d 100644
--- a/tests/HeaderTest.php
+++ b/tests/HeaderTest.php
@@ -9,7 +9,7 @@ use PHPUnit\Framework\TestCase;
 
 class HeaderTest extends TestCase
 {
-    public function parseParamsProvider(): array
+    public static function parseParamsProvider(): array
     {
         $res1 = [
             [
@@ -64,7 +64,7 @@ class HeaderTest extends TestCase
         self::assertSame($result, Psr7\Header::parse($header));
     }
 
-    public function normalizeProvider(): array
+    public static function normalizeProvider(): array
     {
         return [
             [
diff --git a/tests/QueryTest.php b/tests/QueryTest.php
index af39637..389fb28 100644
--- a/tests/QueryTest.php
+++ b/tests/QueryTest.php
@@ -9,7 +9,7 @@ use PHPUnit\Framework\TestCase;
 
 class QueryTest extends TestCase
 {
-    public function parseQueryProvider()
+    public static function parseQueryProvider()
     {
         return [
             // Does not need to parse when the string is empty
diff --git a/tests/RequestTest.php b/tests/RequestTest.php
index 6f1b641..19d71c3 100644
--- a/tests/RequestTest.php
+++ b/tests/RequestTest.php
@@ -114,7 +114,7 @@ class RequestTest extends TestCase
         $r->withMethod($method);
     }
 
-    public function invalidMethodsProvider(): iterable
+    public static function invalidMethodsProvider(): iterable
     {
         return [
             [null],
@@ -217,7 +217,7 @@ class RequestTest extends TestCase
         );
     }
 
-    public function provideHeadersContainingNotAllowedChars(): iterable
+    public static function provideHeadersContainingNotAllowedChars(): iterable
     {
         return [[' key '], ['key '], [' key'], ['key/'], ['key('], ['key\\'], [' ']];
     }
@@ -237,7 +237,7 @@ class RequestTest extends TestCase
         self::assertArrayHasKey($header, $r->getHeaders());
     }
 
-    public function provideHeadersContainsAllowedChar(): iterable
+    public static function provideHeadersContainsAllowedChar(): iterable
     {
         return [
             ['key'],
@@ -323,7 +323,7 @@ class RequestTest extends TestCase
         );
     }
 
-    public function provideHeaderValuesContainingNotAllowedChars(): iterable
+    public static function provideHeaderValuesContainingNotAllowedChars(): iterable
     {
         // Explicit tests for newlines as the most common exploit vector.
         $tests = [
diff --git a/tests/ResponseTest.php b/tests/ResponseTest.php
index 0d97ac8..70d3ecc 100644
--- a/tests/ResponseTest.php
+++ b/tests/ResponseTest.php
@@ -263,7 +263,7 @@ class ResponseTest extends TestCase
         new Response(200, [$header => $headerValue]);
     }
 
-    public function invalidHeaderProvider(): iterable
+    public static function invalidHeaderProvider(): iterable
     {
         return [
             ['foo', [], 'Header value can not be an empty array.'],
@@ -283,9 +283,9 @@ class ResponseTest extends TestCase
         $r->withHeader($header, $headerValue);
     }
 
-    public function invalidWithHeaderProvider(): iterable
+    public static function invalidWithHeaderProvider(): iterable
     {
-        yield from $this->invalidHeaderProvider();
+        yield from self::invalidHeaderProvider();
         yield [[], 'foo', 'Header name must be a string but array provided.'];
         yield [false, 'foo', 'Header name must be a string but boolean provided.'];
         yield [new \stdClass(), 'foo', 'Header name must be a string but stdClass provided.'];
@@ -346,7 +346,7 @@ class ResponseTest extends TestCase
         $response->withStatus($invalidValues);
     }
 
-    public function nonIntegerStatusCodeProvider(): iterable
+    public static function nonIntegerStatusCodeProvider(): iterable
     {
         return [
             ['whatever'],
@@ -381,7 +381,7 @@ class ResponseTest extends TestCase
         $response->withStatus($invalidValues);
     }
 
-    public function invalidStatusCodeRangeProvider(): iterable
+    public static function invalidStatusCodeRangeProvider(): iterable
     {
         return [
             [600],
diff --git a/tests/ServerRequestTest.php b/tests/ServerRequestTest.php
index 1baf11c..f770078 100644
--- a/tests/ServerRequestTest.php
+++ b/tests/ServerRequestTest.php
@@ -14,7 +14,7 @@ use PHPUnit\Framework\TestCase;
  */
 class ServerRequestTest extends TestCase
 {
-    public function dataNormalizeFiles(): iterable
+    public static function dataNormalizeFiles(): iterable
     {
         return [
             'Single file' => [
@@ -293,7 +293,7 @@ class ServerRequestTest extends TestCase
         ServerRequest::normalizeFiles(['test' => 'something']);
     }
 
-    public function dataGetUriFromGlobals(): iterable
+    public static function dataGetUriFromGlobals(): iterable
     {
         $server = [
             'REQUEST_URI' => '/blog/article.php?id=10&user=foo',
diff --git a/tests/StreamTest.php b/tests/StreamTest.php
index 75261c3..2bf909a 100644
--- a/tests/StreamTest.php
+++ b/tests/StreamTest.php
@@ -317,7 +317,7 @@ class StreamTest extends TestCase
         $stream->close();
     }
 
-    public function gzipModeProvider(): iterable
+    public static function gzipModeProvider(): iterable
     {
         return [
             ['mode' => 'rb9', 'readable' => true, 'writable' => false],
@@ -338,7 +338,7 @@ class StreamTest extends TestCase
         $stream->close();
     }
 
-    public function readableModeProvider(): iterable
+    public static function readableModeProvider(): iterable
     {
         return [
             ['r'],
@@ -384,7 +384,7 @@ class StreamTest extends TestCase
         $stream->close();
     }
 
-    public function writableModeProvider(): iterable
+    public static function writableModeProvider(): iterable
     {
         return [
             ['w'],
diff --git a/tests/UploadedFileTest.php b/tests/UploadedFileTest.php
index 7807d7f..b0a8572 100644
--- a/tests/UploadedFileTest.php
+++ b/tests/UploadedFileTest.php
@@ -30,7 +30,7 @@ class UploadedFileTest extends TestCase
         }
     }
 
-    public function invalidStreams()
+    public static function invalidStreams()
     {
         return [
             'null' => [null],
@@ -96,7 +96,7 @@ class UploadedFileTest extends TestCase
         self::assertSame($stream->__toString(), file_get_contents($to));
     }
 
-    public function invalidMovePaths(): iterable
+    public static function invalidMovePaths(): iterable
     {
         return [
             'null' => [null],
@@ -151,7 +151,7 @@ class UploadedFileTest extends TestCase
         $upload->getStream();
     }
 
-    public function nonOkErrorStatus(): iterable
+    public static function nonOkErrorStatus(): iterable
     {
         return [
             'UPLOAD_ERR_INI_SIZE' => [UPLOAD_ERR_INI_SIZE],
diff --git a/tests/UriComparatorTest.php b/tests/UriComparatorTest.php
index 69312a0..4cd9909 100644
--- a/tests/UriComparatorTest.php
+++ b/tests/UriComparatorTest.php
@@ -21,7 +21,7 @@ class UriComparatorTest extends TestCase
         self::assertSame($expected, UriComparator::isCrossOrigin(new Uri($original), new Uri($modified)));
     }
 
-    public function getCrossOriginExamples(): array
+    public static function getCrossOriginExamples(): array
     {
         return [
             ['http://example.com/123', 'http://example.com/', false],
diff --git a/tests/UriNormalizerTest.php b/tests/UriNormalizerTest.php
index e240af9..167e5a0 100644
--- a/tests/UriNormalizerTest.php
+++ b/tests/UriNormalizerTest.php
@@ -47,7 +47,7 @@ class UriNormalizerTest extends TestCase
         self::assertSame("/$char%2F%5B$char?$char%2F%5B$char", (string) $normalizedUri);
     }
 
-    public function getUnreservedCharacters(): iterable
+    public static function getUnreservedCharacters(): iterable
     {
         $unreservedChars = array_merge(range('a', 'z'), range('A', 'Z'), range(0, 9), ['-', '.', '_', '~']);
 
@@ -67,7 +67,7 @@ class UriNormalizerTest extends TestCase
         self::assertSame($expected, (string) $normalizedUri);
     }
 
-    public function getEmptyPathTestCases(): iterable
+    public static function getEmptyPathTestCases(): iterable
     {
         return [
             ['http://example.org', 'http://example.org/'],
@@ -162,7 +162,7 @@ class UriNormalizerTest extends TestCase
         self::assertSame($expected, $equivalent);
     }
 
-    public function getEquivalentTestCases(): iterable
+    public static function getEquivalentTestCases(): iterable
     {
         return [
             ['http://example.org', 'http://example.org', true],
diff --git a/tests/UriResolverTest.php b/tests/UriResolverTest.php
index 98d128a..c4b235b 100644
--- a/tests/UriResolverTest.php
+++ b/tests/UriResolverTest.php
@@ -68,7 +68,7 @@ class UriResolverTest extends TestCase
         self::assertSame((string) UriResolver::resolve($baseUri, $targetUri), (string) UriResolver::resolve($baseUri, $relativeUri));
     }
 
-    public function getResolveTestCases(): iterable
+    public static function getResolveTestCases(): iterable
     {
         return [
             [self::RFC3986_BASE, 'g:h',           'g:h'],
@@ -177,7 +177,7 @@ class UriResolverTest extends TestCase
     /**
      * Some additional tests to getResolveTestCases() that only make sense for relativize.
      */
-    public function getRelativizeTestCases(): iterable
+    public static function getRelativizeTestCases(): iterable
     {
         return [
             // targets that are relative-path references are returned as-is
diff --git a/tests/UriTest.php b/tests/UriTest.php
index 7092f85..185b7f1 100644
--- a/tests/UriTest.php
+++ b/tests/UriTest.php
@@ -71,7 +71,7 @@ class UriTest extends TestCase
         self::assertSame($input, (string) $uri);
     }
 
-    public function getValidUris(): iterable
+    public static function getValidUris(): iterable
     {
         return [
             ['urn:path-rootless'],
@@ -109,7 +109,7 @@ class UriTest extends TestCase
         new Uri($invalidUri);
     }
 
-    public function getInvalidUris(): iterable
+    public static function getInvalidUris(): iterable
     {
         return [
             // parse_url() requires the host component which makes sense for http(s)
@@ -217,7 +217,7 @@ class UriTest extends TestCase
         self::assertSame($isDefaultPort, Uri::isDefaultPort($uri));
     }
 
-    public function getPortTestCases(): iterable
+    public static function getPortTestCases(): iterable
     {
         return [
             ['http', null, true],
@@ -531,7 +531,7 @@ class UriTest extends TestCase
         self::assertSame('file:///tmp/filename.ext', (string) $uri);
     }
 
-    public function uriComponentsEncodingProvider(): iterable
+    public static function uriComponentsEncodingProvider(): iterable
     {
         $unreserved = 'a-zA-Z0-9.-_~!$&\'()*+,;=:@';
 
diff --git a/tests/UtilsTest.php b/tests/UtilsTest.php
index 3f3fd77..a30ebc2 100644
--- a/tests/UtilsTest.php
+++ b/tests/UtilsTest.php
@@ -513,7 +513,7 @@ class UtilsTest extends TestCase
     /**
      * @return list<array{0: string[], 1: array, 2: array}>
      */
-    public function providesCaselessRemoveCases(): array
+    public static function providesCaselessRemoveCases(): array
     {
         return [
             [
